com.amazonaws.services.codebuild.model

## Class BuildPhase

- java.lang.Object
- - com.amazonaws.services.codebuild.model.BuildPhase

All Implemented Interfaces:
  Serializable, Cloneable

    public class BuildPhase
    extends Object
    implements Serializable, Cloneable

Information about a stage for a build.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BuildPhase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BuildPhase` `clone()`
`boolean` `equals(Object obj)`
`List<PhaseContext>` `getContexts()` Additional information about a build phase, especially to help troubleshoot a failed build.
`Long` `getDurationInSeconds()` How long, in seconds, between the build's phase starting and ending times.
`Date` `getEndTime()` When the build phase ended, expressed in Unix time format.
`String` `getPhaseStatus()` The build phase's current status.
`String` `getPhaseType()` The build phase's name.
`Date` `getStartTime()` When the build phase started, expressed in Unix time format.
`int` `hashCode()`
`void` `setContexts(Collection<PhaseContext> contexts)` Additional information about a build phase, especially to help troubleshoot a failed build.
`void` `setDurationInSeconds(Long durationInSeconds)` How long, in seconds, between the build's phase starting and ending times.
`void` `setEndTime(Date endTime)` When the build phase ended, expressed in Unix time format.
`void` `setPhaseStatus(StatusType phaseStatus)` The build phase's current status.
`void` `setPhaseStatus(String phaseStatus)` The build phase's current status.
`void` `setPhaseType(BuildPhaseType phaseType)` The build phase's name.
`void` `setPhaseType(String phaseType)` The build phase's name.
`void` `setStartTime(Date startTime)` When the build phase started, expressed in Unix time format.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BuildPhase` `withContexts(Collection<PhaseContext> contexts)` Additional information about a build phase, especially to help troubleshoot a failed build.
`BuildPhase` `withContexts(PhaseContext... contexts)` Additional information about a build phase, especially to help troubleshoot a failed build.
`BuildPhase` `withDurationInSeconds(Long durationInSeconds)` How long, in seconds, between the build's phase starting and ending times.
`BuildPhase` `withEndTime(Date endTime)` When the build phase ended, expressed in Unix time format.
`BuildPhase` `withPhaseStatus(StatusType phaseStatus)` The build phase's current status.
`BuildPhase` `withPhaseStatus(String phaseStatus)` The build phase's current status.
`BuildPhase` `withPhaseType(BuildPhaseType phaseType)` The build phase's name.
`BuildPhase` `withPhaseType(String phaseType)` The build phase's name.
`BuildPhase` `withStartTime(Date startTime)` When the build phase started, expressed in Unix time format.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BuildPhase

    public BuildPhase()

### Method Detail

#### setPhaseType

    public void setPhaseType(String phaseType)

The build phase's name. Valid values include:

- `BUILD`: Core build activities typically occur in this build phase.

- `COMPLETED`: The build has completed.

- `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

- `FINALIZING`: The build process is completing in this build phase.

- `INSTALL`: Installation activities typically occur in this build phase.

- `POST_BUILD`: Post-build activities typically occur in this build phase.

- `PRE_BUILD`: Pre-build activities typically occur in this build phase.

- `PROVISIONING`: The build environment is being set up.

- `SUBMITTED`: The build has been submitted.

- `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

Parameters:
  `phaseType` - The build phase's name. Valid values include:

  - `BUILD`: Core build activities typically occur in this build phase.

  - `COMPLETED`: The build has completed.

  - `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

  - `FINALIZING`: The build process is completing in this build phase.

  - `INSTALL`: Installation activities typically occur in this build phase.

  - `POST_BUILD`: Post-build activities typically occur in this build phase.

  - `PRE_BUILD`: Pre-build activities typically occur in this build phase.

  - `PROVISIONING`: The build environment is being set up.

  - `SUBMITTED`: The build has been submitted.

  - `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

See Also:
  `BuildPhaseType`

#### getPhaseType

    public String getPhaseType()

The build phase's name. Valid values include:

- `BUILD`: Core build activities typically occur in this build phase.

- `COMPLETED`: The build has completed.

- `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

- `FINALIZING`: The build process is completing in this build phase.

- `INSTALL`: Installation activities typically occur in this build phase.

- `POST_BUILD`: Post-build activities typically occur in this build phase.

- `PRE_BUILD`: Pre-build activities typically occur in this build phase.

- `PROVISIONING`: The build environment is being set up.

- `SUBMITTED`: The build has been submitted.

- `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

Returns:
  The build phase's name. Valid values include:

  - `BUILD`: Core build activities typically occur in this build phase.

  - `COMPLETED`: The build has completed.

  - `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

  - `FINALIZING`: The build process is completing in this build phase.

  - `INSTALL`: Installation activities typically occur in this build phase.

  - `POST_BUILD`: Post-build activities typically occur in this build phase.

  - `PRE_BUILD`: Pre-build activities typically occur in this build phase.

  - `PROVISIONING`: The build environment is being set up.

  - `SUBMITTED`: The build has been submitted.

  - `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

See Also:
  `BuildPhaseType`

#### withPhaseType

    public BuildPhase withPhaseType(String phaseType)

The build phase's name. Valid values include:

- `BUILD`: Core build activities typically occur in this build phase.

- `COMPLETED`: The build has completed.

- `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

- `FINALIZING`: The build process is completing in this build phase.

- `INSTALL`: Installation activities typically occur in this build phase.

- `POST_BUILD`: Post-build activities typically occur in this build phase.

- `PRE_BUILD`: Pre-build activities typically occur in this build phase.

- `PROVISIONING`: The build environment is being set up.

- `SUBMITTED`: The build has been submitted.

- `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

Parameters:
  `phaseType` - The build phase's name. Valid values include:

  - `BUILD`: Core build activities typically occur in this build phase.

  - `COMPLETED`: The build has completed.

  - `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

  - `FINALIZING`: The build process is completing in this build phase.

  - `INSTALL`: Installation activities typically occur in this build phase.

  - `POST_BUILD`: Post-build activities typically occur in this build phase.

  - `PRE_BUILD`: Pre-build activities typically occur in this build phase.

  - `PROVISIONING`: The build environment is being set up.

  - `SUBMITTED`: The build has been submitted.

  - `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `BuildPhaseType`

#### setPhaseType

    public void setPhaseType(BuildPhaseType phaseType)

The build phase's name. Valid values include:

- `BUILD`: Core build activities typically occur in this build phase.

- `COMPLETED`: The build has completed.

- `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

- `FINALIZING`: The build process is completing in this build phase.

- `INSTALL`: Installation activities typically occur in this build phase.

- `POST_BUILD`: Post-build activities typically occur in this build phase.

- `PRE_BUILD`: Pre-build activities typically occur in this build phase.

- `PROVISIONING`: The build environment is being set up.

- `SUBMITTED`: The build has been submitted.

- `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

Parameters:
  `phaseType` - The build phase's name. Valid values include:

  - `BUILD`: Core build activities typically occur in this build phase.

  - `COMPLETED`: The build has completed.

  - `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

  - `FINALIZING`: The build process is completing in this build phase.

  - `INSTALL`: Installation activities typically occur in this build phase.

  - `POST_BUILD`: Post-build activities typically occur in this build phase.

  - `PRE_BUILD`: Pre-build activities typically occur in this build phase.

  - `PROVISIONING`: The build environment is being set up.

  - `SUBMITTED`: The build has been submitted.

  - `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

See Also:
  `BuildPhaseType`

#### withPhaseType

    public BuildPhase withPhaseType(BuildPhaseType phaseType)

The build phase's name. Valid values include:

- `BUILD`: Core build activities typically occur in this build phase.

- `COMPLETED`: The build has completed.

- `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

- `FINALIZING`: The build process is completing in this build phase.

- `INSTALL`: Installation activities typically occur in this build phase.

- `POST_BUILD`: Post-build activities typically occur in this build phase.

- `PRE_BUILD`: Pre-build activities typically occur in this build phase.

- `PROVISIONING`: The build environment is being set up.

- `SUBMITTED`: The build has been submitted.

- `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

Parameters:
  `phaseType` - The build phase's name. Valid values include:

  - `BUILD`: Core build activities typically occur in this build phase.

  - `COMPLETED`: The build has completed.

  - `DOWNLOAD_SOURCE`: Source code is being downloaded in this build phase.

  - `FINALIZING`: The build process is completing in this build phase.

  - `INSTALL`: Installation activities typically occur in this build phase.

  - `POST_BUILD`: Post-build activities typically occur in this build phase.

  - `PRE_BUILD`: Pre-build activities typically occur in this build phase.

  - `PROVISIONING`: The build environment is being set up.

  - `SUBMITTED`: The build has been submitted.

  - `UPLOAD_ARTIFACTS`: Build output artifacts are being uploaded to output location.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `BuildPhaseType`

#### setPhaseStatus

    public void setPhaseStatus(String phaseStatus)

The build phase's current status. Valid values include:

- `FAILED`: The build phase failed.

- `FAULT`: The build phase faulted.

- `IN_PROGRESS`: The build phase is still in progress.

- `STOPPED`: The build phase stopped.

- `SUCCEEDED`: The build phase succeeded.

- `TIMED_OUT`: The build phase timed out.

Parameters:
  `phaseStatus` - The build phase's current status. Valid values include:

  - `FAILED`: The build phase failed.

  - `FAULT`: The build phase faulted.

  - `IN_PROGRESS`: The build phase is still in progress.

  - `STOPPED`: The build phase stopped.

  - `SUCCEEDED`: The build phase succeeded.

  - `TIMED_OUT`: The build phase timed out.

See Also:
  `StatusType`

#### getPhaseStatus

    public String getPhaseStatus()

The build phase's current status. Valid values include:

- `FAILED`: The build phase failed.

- `FAULT`: The build phase faulted.

- `IN_PROGRESS`: The build phase is still in progress.

- `STOPPED`: The build phase stopped.

- `SUCCEEDED`: The build phase succeeded.

- `TIMED_OUT`: The build phase timed out.

Returns:
  The build phase's current status. Valid values include:

  - `FAILED`: The build phase failed.

  - `FAULT`: The build phase faulted.

  - `IN_PROGRESS`: The build phase is still in progress.

  - `STOPPED`: The build phase stopped.

  - `SUCCEEDED`: The build phase succeeded.

  - `TIMED_OUT`: The build phase timed out.

See Also:
  `StatusType`

#### withPhaseStatus

    public BuildPhase withPhaseStatus(String phaseStatus)

The build phase's current status. Valid values include:

- `FAILED`: The build phase failed.

- `FAULT`: The build phase faulted.

- `IN_PROGRESS`: The build phase is still in progress.

- `STOPPED`: The build phase stopped.

- `SUCCEEDED`: The build phase succeeded.

- `TIMED_OUT`: The build phase timed out.

Parameters:
  `phaseStatus` - The build phase's current status. Valid values include:

  - `FAILED`: The build phase failed.

  - `FAULT`: The build phase faulted.

  - `IN_PROGRESS`: The build phase is still in progress.

  - `STOPPED`: The build phase stopped.

  - `SUCCEEDED`: The build phase succeeded.

  - `TIMED_OUT`: The build phase timed out.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `StatusType`

#### setPhaseStatus

    public void setPhaseStatus(StatusType phaseStatus)

The build phase's current status. Valid values include:

- `FAILED`: The build phase failed.

- `FAULT`: The build phase faulted.

- `IN_PROGRESS`: The build phase is still in progress.

- `STOPPED`: The build phase stopped.

- `SUCCEEDED`: The build phase succeeded.

- `TIMED_OUT`: The build phase timed out.

Parameters:
  `phaseStatus` - The build phase's current status. Valid values include:

  - `FAILED`: The build phase failed.

  - `FAULT`: The build phase faulted.

  - `IN_PROGRESS`: The build phase is still in progress.

  - `STOPPED`: The build phase stopped.

  - `SUCCEEDED`: The build phase succeeded.

  - `TIMED_OUT`: The build phase timed out.

See Also:
  `StatusType`

#### withPhaseStatus

    public BuildPhase withPhaseStatus(StatusType phaseStatus)

The build phase's current status. Valid values include:

- `FAILED`: The build phase failed.

- `FAULT`: The build phase faulted.

- `IN_PROGRESS`: The build phase is still in progress.

- `STOPPED`: The build phase stopped.

- `SUCCEEDED`: The build phase succeeded.

- `TIMED_OUT`: The build phase timed out.

Parameters:
  `phaseStatus` - The build phase's current status. Valid values include:

  - `FAILED`: The build phase failed.

  - `FAULT`: The build phase faulted.

  - `IN_PROGRESS`: The build phase is still in progress.

  - `STOPPED`: The build phase stopped.

  - `SUCCEEDED`: The build phase succeeded.

  - `TIMED_OUT`: The build phase timed out.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `StatusType`

#### setStartTime

    public void setStartTime(Date startTime)

When the build phase started, expressed in Unix time format.

Parameters:
  `startTime` - When the build phase started, expressed in Unix time format.

#### getStartTime

    public Date getStartTime()

When the build phase started, expressed in Unix time format.

Returns:
  When the build phase started, expressed in Unix time format.

#### withStartTime

    public BuildPhase withStartTime(Date startTime)

When the build phase started, expressed in Unix time format.

Parameters:
  `startTime` - When the build phase started, expressed in Unix time format.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEndTime

    public void setEndTime(Date endTime)

When the build phase ended, expressed in Unix time format.

Parameters:
  `endTime` - When the build phase ended, expressed in Unix time format.

#### getEndTime

    public Date getEndTime()

When the build phase ended, expressed in Unix time format.

Returns:
  When the build phase ended, expressed in Unix time format.

#### withEndTime

    public BuildPhase withEndTime(Date endTime)

When the build phase ended, expressed in Unix time format.

Parameters:
  `endTime` - When the build phase ended, expressed in Unix time format.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDurationInSeconds

    public void setDurationInSeconds(Long durationInSeconds)

How long, in seconds, between the build's phase starting and ending times.

Parameters:
  `durationInSeconds` - How long, in seconds, between the build's phase starting and ending times.

#### getDurationInSeconds

    public Long getDurationInSeconds()

How long, in seconds, between the build's phase starting and ending times.

Returns:
  How long, in seconds, between the build's phase starting and ending times.

#### withDurationInSeconds

    public BuildPhase withDurationInSeconds(Long durationInSeconds)

How long, in seconds, between the build's phase starting and ending times.

Parameters:
  `durationInSeconds` - How long, in seconds, between the build's phase starting and ending times.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getContexts

    public List<PhaseContext> getContexts()

Additional information about a build phase, especially to help troubleshoot a failed build.

Returns:
  Additional information about a build phase, especially to help troubleshoot a failed build.

#### setContexts

    public void setContexts(Collection<PhaseContext> contexts)

Additional information about a build phase, especially to help troubleshoot a failed build.

Parameters:
  `contexts` - Additional information about a build phase, especially to help troubleshoot a failed build.

#### withContexts

    public BuildPhase withContexts(PhaseContext... contexts)

Additional information about a build phase, especially to help troubleshoot a failed build.

NOTE: This method appends the values to the existing list (if any). Use `setContexts(java.util.Collection)` or `withContexts(java.util.Collection)` if you want to override the existing values.

Parameters:
  `contexts` - Additional information about a build phase, especially to help troubleshoot a failed build.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withContexts

    public BuildPhase withContexts(Collection<PhaseContext> contexts)

Additional information about a build phase, especially to help troubleshoot a failed build.

Parameters:
  `contexts` - Additional information about a build phase, especially to help troubleshoot a failed build.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BuildPhase clone()

Overrides:
  `clone` in class `Object`